;; This is used to "paste" a portion of a drawing into your current drawing. ;; Can paste into multiple dwgs ;; Use this program with cut.lsp HINT: Best if put in your popup - pop0 icon ;;;***************************************** ;;; Superior Designs - Custom programming available ;;; Copyright (C) 1997 ;;; Written by Craig Carr - 1997 ;;; http://www.surfersnet.com/sdi/acad.htm ;;; e-mail superior@surfersnet.com ;;;***************************************** (DEFUN C:paste() (SETVAR "CMDECHO" 0) ;;;VERSION 1.0 (setq pasteerr *error*) (Defun *error* (msg) (setq *error* pasteerr) (if paste (command "undo" "b")) (setvar "cmdecho" 1)(princ)) (command "UNDO" "M") (setq paste 1) (princ "\nPASTE Point: ") (command "insert" "c:\\cut" pause "" "" "") (command "undo" "b") (setq paste nil) (command "insert" "*c:\\cut" (getvar "lastpoint") "" "") (princ "\nPASTED") (setq *error* pasteerr) (SETVAR "CMDECHO" 1)(PRINC) )